/*=====================================================
    GOOGLE FONT RESET
======================================================*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:'Inter',sans-serif;
    background:#071320;
    color:#ffffff;
    overflow-x:hidden;
}

img{
    width:100%;
    display:block;
}

a{
    text-decoration:none;
}

ul{
    list-style:none;
}

:root{

    --primary:#ff7a00;
    --primary-dark:#ff5c00;

    --secondary:#6C63FF;

    --accent:#00D4FF;

    --dark:#071320;
    --dark-light:#0F2238;

    --white:#ffffff;

    --text:#d9e2ec;

    --glass:rgba(255,255,255,.08);

    --border:rgba(255,255,255,.15);

    --shadow:0 20px 45px rgba(0,0,0,.35);

}


/*=====================================================
            CONTAINER
======================================================*/

.container{

    max-width:1200px;

}


/*=====================================================
            NAVBAR
======================================================*/

.custom-navbar{

    padding:20px 0;

    transition:.4s;

    background:rgba(7,19,32,.25);

    backdrop-filter:blur(18px);

    border-bottom:1px solid rgba(255,255,255,.08);

    z-index:999;

}

.custom-navbar.scrolled{

    padding:12px 0;

    background:rgba(7,19,32,.92);

    box-shadow:0 10px 40px rgba(0,0,0,.35);

}

.dropdown-submenu{
    position:relative;
}

.submenu{
    position:absolute;
    top:0;
    left:100%;
    min-width:260px;

    background:rgba(15,34,56,.97);
    backdrop-filter:blur(20px);

    border:1px solid rgba(255,255,255,.1);
    border-radius:16px;

    padding:12px 0;

    opacity:0;
    visibility:hidden;

    transform:translateX(15px);

    transition:.3s;

    list-style:none;
}

.dropdown-submenu:hover .submenu{
    opacity:1;
    visibility:visible;
    transform:translateX(0);
}

.submenu .dropdown-item{
    color:#fff;
    padding:12px 24px;
    transition:.3s;
}
/* courses */

.submenu .dropdown-item:hover{
    background:rgba(214, 108, 9, 0.15);
    color:#ff7a00;
    padding-left:32px;
}


/*=====================================================
            LOGO
======================================================*/

.navbar-brand{

    font-family:'Poppins',sans-serif;

    font-size:34px;

    font-weight:800;

}

.logo-orange{

    color:var(--primary);

}

.logo-white{

    color:var(--white);

    margin-left:5px;

}


/*=====================================================
            NAV LINKS
======================================================*/

.nav-link{

    color:var(--white);

    font-weight:500;

    margin:0 14px;

    position:relative;

    transition:.3s;

}

.navbar .nav-link,
.navbar .nav-link:visited,
.navbar .nav-link:focus,
.navbar .nav-link:active,
.navbar .nav-link.active {
    color: #ffffff !important;
}

.nav-link.active{

    color:#fff;

}


.nav-link::after{
    content:"";
    position:absolute;
    left:50%;
    bottom:-8px;
    transform:translateX(-50%);
    width:0;
    height:2px;
    background:var(--primary);
    transition:.35s;
    border-radius:10px;
}

.nav-link:hover::after{
    width:70%;
}


.dropdown:hover .dropdown-menu{
    display:block;
    margin-top:0;
}
.dropdown-menu{
    opacity:0;
    visibility:hidden;
    transform:translateY(15px);
    transition:all .3s ease;
    display:block;
}

.dropdown:hover .dropdown-menu{
    opacity:1;
    visibility:visible;
    transform:translateY(0);
}
/*=====================================================
            APPLY BUTTON
======================================================*/

.apply-btn{

    background:linear-gradient(
        135deg,
        var(--primary),
        #ff9a00
    );

    color:#fff;

    padding:14px 30px;

    border-radius:40px;

    font-weight:600;

    transition:.35s;

    box-shadow:0 10px 25px rgba(255,122,0,.35);

}

.apply-btn:hover{

    color:#fff;

    transform:translateY(-3px);

    box-shadow:0 18px 35px rgba(255,122,0,.45);

}


/*=====================================================
                HERO
======================================================*/

.hero{

    position:relative;

    min-height:70vh;

    display:flex;

    align-items:center;

     padding-top:50px; 

    overflow:hidden;

    background:

    radial-gradient(circle at top left,
    rgba(108,99,255,.18),
    transparent 40%),

    radial-gradient(circle at bottom right,
    rgba(255,122,0,.15),
    transparent 40%),

    linear-gradient(
    145deg,
    #071320,
    #0b1d32,
    #071320);

    

}


/*=====================================================
            LEFT CONTENT
======================================================*/

.hero-left{

    position:relative;
    margin-top:-0px;

    z-index:5;

}



.hero-left h1{

    font-family:'Poppins',sans-serif;

    font-size:72px;

    line-height:1.08;

    font-weight:800;

    margin-bottom:25px;

    color:#fff;

    letter-spacing:-2px;

}

.hero-left p{

    font-size:19px;

    line-height:1.9;

    color:var(--text);

    max-width:560px;

    margin-bottom:40px;

}
/*=====================================================
            HERO BUTTONS
======================================================*/

.hero-buttons{
    display:flex;
    gap:18px;
    flex-wrap:wrap;
    margin-bottom:50px;
}

.btn-orange{
    background:linear-gradient(135deg,#ff7a00,#ff9d00);
    color:#fff;
    padding:15px 36px;
    border-radius:50px;
    font-weight:600;
    transition:.35s;
    box-shadow:0 12px 30px rgba(255,122,0,.35);
}

.btn-orange:hover{
    color:#fff;
    transform:translateY(-5px);
    box-shadow:0 18px 40px rgba(255,122,0,.5);
}

.btn-outline-custom{
    border:2px solid rgba(255,255,255,.2);
    color:#fff;
    padding:15px 36px;
    border-radius:50px;
    backdrop-filter:blur(12px);
    transition:.35s;
}

.btn-outline-custom:hover{
    background:#fff;
    color:#071320;
    transform:translateY(-5px);
}




/*=====================================================
            HERO RIGHT
======================================================*/

.hero-right{
    position:relative;
    height:700px;
}


/*=====================================================
            HERO IMAGE
======================================================*/

.hero-image{
    position:absolute;
    bottom:0;
    right:40px;
    width:430px;
    z-index:10;
}

.hero-image img{
    width:100%;
    animation:floatImage 5s ease-in-out infinite;
}


/*=====================================================
            GLOW BEHIND IMAGE
======================================================*/

.hero-image::before{

    content:"";

    position:absolute;

    width:420px;
    height:420px;

    background:#ff7a00;

    border-radius:50%;

    filter:blur(110px);

    opacity:.18;

    left:50%;
    top:50%;

    transform:translate(-50%,-50%);

    z-index:-1;

}


/*=====================================================
            FLOATING GLASS CARDS
======================================================*/

.floating-card{

    position:absolute;

    width:220px;

    padding:22px;

    border-radius:22px;

    background:rgba(255,255,255,.08);

    backdrop-filter:blur(20px);

    border:1px solid rgba(255,255,255,.12);

    box-shadow:0 20px 40px rgba(0,0,0,.25);

    transition:.35s;

    color:#fff;

}

.floating-card:hover{

    transform:translateY(-8px);

    background:rgba(255,255,255,.12);

}


/*=====================================================
            CARD ICON
======================================================*/

.floating-card i{

    font-size:32px;

    color:#ff7a00;

    margin-bottom:14px;

}

.floating-card h5{

    font-family:'Poppins',sans-serif;

    font-size:22px;

    margin-bottom:8px;

}

.floating-card p{

    color:#d9e2ec;

    margin:0;

    font-size:14px;

}


/*=====================================================
            CARD POSITIONS
======================================================*/

.card-one{

    top:80px;
    left:-30px;

}

.card-two{

    top:260px;
    right:-20px;

}

.card-three{

    bottom:90px;
    left:20px;

}


/*=====================================================
            GLASS BORDER EFFECT
======================================================*/

.floating-card::before{

    content:"";

    position:absolute;

    inset:0;

    border-radius:22px;

    padding:1px;

    background:linear-gradient(
        135deg,
        rgba(255,255,255,.35),
        transparent
    );

    -webkit-mask:
        linear-gradient(#fff 0 0) content-box,
        linear-gradient(#fff 0 0);

    -webkit-mask-composite:xor;

    mask-composite:exclude;

    pointer-events:none;

}
.custom-dropdown{
    background: rgba(15,34,56,.95);
    backdrop-filter: blur(20px);
    border: 1px solid rgba(255,255,255,.1);
    border-radius: 16px;
    padding: 12px 0;
    min-width:340px;
    box-shadow: 0 20px 40px rgba(0,0,0,.3);
}

.custom-dropdown .dropdown-item{
    color: #fff;
    padding: 12px 24px;
    transition: .3s;
}

.custom-dropdown .dropdown-item:hover{
    background: rgba(255,122,0,.15);
    color: #ff7a00;
    padding-left: 32px;
}
.dropdown-toggle::after{
    display:none;
}